%define	xfontdir_	%{_datadir}/fonts/ja
%define	xfontdir	%{xfontdir_}/TrueType
%define	gslibdir	%{_datadir}/ghostscript/%(echo `gs --version`)/lib
%define	gsver		7.07

%define substname	kochi-substitute
%define substver	20030809
%define kochisubst	%{substname}-%{substver}
%define ksnonaga10	%{substname}-nonaga10-%{substver}

Name:		ttfonts-ja
Version:	1.2
Release: 36.EL4.0
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

## Original fonts is here
## Source0:	http://downloads.sourceforge.jp/efont/4767/%{kochisubst}.tar.bz2
Source0:	%{ksnonaga10}.tar.bz2
Source2:	fonts.alias.kk
Source3:	CIDFnmap.ja

BuildRequires:	ghostscript >= %{gsver}
BuildRequires:	VFlib2
Requires(post,postun): /usr/sbin/chkfontpath /usr/X11R6/bin/mkfontdir
Requires(post,postun): ttmkfdir >= 3.0.6
# The post and postun scripts use fc-cache, from the fontconfig package
Requires(post,postun): fontconfig

Summary: Free Japanese TrueType fonts
%description
This package provides free Japanese TrueType fonts, and includes
ttindex files for VFlib. Kochi TTF which includes in this package
have removed 10pt and 11pt which provides by naga10 font because
there is the license problem.

%prep
%setup -q -c

%build
pushd %{kochisubst}
ttindex kochi-mincho-subst
ttindex kochi-gothic-subst
popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

pushd %{kochisubst}
install -d $RPM_BUILD_ROOT%{xfontdir}
install -m 0644 *.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{xfontdir}/fonts.alias
popd

# for ghostscript
install -d $RPM_BUILD_ROOT%{gslibdir}
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{gslibdir}/

# We really don't have naga10. so removing document files.
rm -rf %{kochisubst}/docs/naga10

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
{
	touch %{xfontdir} 2> /dev/null && {
		/usr/bin/ttmkfdir -d %{xfontdir} -o %{xfontdir}/fonts.scale
		/usr/X11R6/bin/mkfontdir %{xfontdir}

		/usr/sbin/chkfontpath -q -a %{xfontdir}

	}

	touch %{_sysconfdir} 2> /dev/null && {
		if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
			/usr/bin/redhat-update-gnome-font-install
		fi
		if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
			/usr/bin/redhat-update-gnome-font-install2
		fi
	}
	HOME=/ fc-cache 2>/dev/null
}

%postun
{
	if [ "$1" = "0" ];
	then
		/usr/sbin/chkfontpath -q -r %{xfontdir}

		touch %{_sysconfdir} 2> /dev/null && {
			if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
				/usr/bin/redhat-update-gnome-font-install
			fi
			if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
				/usr/bin/redhat-update-gnome-font-install2
			fi
		}
	fi

	HOME=/ fc-cache 2>/dev/null
}

%files
%defattr(-,root,root)
%doc %{kochisubst}/{COPYING,README.ja,README.RedHat} %{kochisubst}/docs
%dir %{xfontdir_}
%dir %{xfontdir}
%config %{xfontdir}/fonts.alias
%{xfontdir}/*ttf
%{xfontdir}/*tti
%{gslibdir}/CIDFnmap.ja

%changelog
* Sat Dec  4 2004 Akira TAGOH <tagoh@redhat.com> - 1.2-36.EL4.0
- reverted the previous changes so that it broke ghostscript working. (#139798)

* Mon Jun 28 2004 Akira TAGOH <tagoh@redhat.com> 1.2-36
- removed the glyphs on U+2211,U+221F,U+222E,U+22BF,U+301D,U+301F,U+3231-3232,
  U+3239,U+32A4-32A8,U+337C-337E,U+33CD which had mapped wrong glyph. (#126075)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 16 2004 Mike A. Harris <mharris@redhat.com> 1.2-34
- Removed hard coded dependancies on XFree86 packages, as we do not want to
  require any specific X11 implementation's packages just for fonts.
- Updated BuildRequires/Requires/Prereq entries to newer rpm format of
  Requires(post,postun): for the various binaries needed in the rpm scripts

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com> 1.2-33
- rebuilt

* Thu Feb 05 2004 Akira TAGOH <tagoh@redhat.com> 1.2-32
- removed default*.font because it's no longer used.

* Wed Dec 10 2003 Akira TAGOH <tagoh@redhat.com> 1.2-31
- fixed %%post and %%postun to check real writable for nfs mount.

* Mon Aug 11 2003 Akira TAGOH <tagoh@redhat.com> 1.2-29
- updates to 20030809. including the fix of glyphs for vertical writing
- don't do anything if the directories are not writable. (#91751)

* Mon Jun 30 2003 Akira TAGOH <tagoh@redhat.com> 1.2-28
- updates to 20030628

* Sat Jun 28 2003 Akira TAGOH <tagoh@redhat.com> 1.2-27
- rebuilt

* Fri Jun 27 2003 Akira TAGOH <tagoh@redhat.com> 1.2-26
- Use another Japanese TrueType font for copyright issue.

* Fri May 23 2003 Akira TAGOH <tagoh@redhat.com> 1.2-25
- rebuild for new ghostscript.

* Thu Apr 10 2003 Akira TAGOH <tagoh@redhat.com> 1.2-24
- rebuild to install CIDFnmap to libdir of ghostscript 7.06.

* Tue Apr 01 2003 Akira TAGOH <tagoh@redhat.com> 1.2-23
- add CIDFnmap file for ghostscript.

* Tue Mar 18 2003 Akira TAGOH <tagoh@redhat.com> 1.2-22
- updates to kochi-gothic 20030118

* Fri Jan 31 2003 Akira TAGOH <tagoh@redhat.com> 1.2-21
- fix the unnecessary output on %%post

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Akira TAGOH <tagoh@redhat.com> 1.2-19
- small fix in %%post and %%postun

* Tue Jan 14 2003 Akira TAGOH <tagoh@redhat.com> 1.2-18
- updates to kochi-gothic 20030111

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 1.2-16
- Call fc-cache from %%post

* Wed Aug 21 2002 Akira TAGOH <tagoh@redhat.com> 1.2-15
- runs mkfontdir on %%post to avoid generating an invalid fonts.dir.

* Mon Jul 29 2002 Akira TAGOH <tagoh@redhat.com> 1.2-14
- updates to 20020727

* Fri Jul 12 2002 Akira TAGOH <tagoh@redhat.com> 1.2-13
- if redhat-update-gnome-font-install2 exists, runs it on %%post/%%postun.

* Thu Jun 27 2002 Akira TAGOH <tagoh@redhat.com> 1.2-12
- dropped watanabe-mincho and wadalab-gothic.
  these fonts is no longer maintained and we can use the kochi fonts instead of
  these fonts now.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 30 2002 Akira TAGOH <tagoh@redhat.com> 1.2-10
- Update to 2002/05/03 release.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr  3 2002 Akira TAGOH <tagoh@redhat.com> 1.2-8
- fonts.alias: don't specify noreplace.

* Wed Apr  3 2002 Akira TAGOH <tagoh@redhat.com> 1.2-7
- fonts.alias: fix spacing entries.
  Right now ttmkfdir generate fonts.dir with -c-.

* Tue Mar 26 2002 Akira TAGOH <tagoh@redhat.com> 1.2-6
- ship fonts.dir again. because chkfontpath can't add that font path...
- fonts.scale too. when a package will be removed, it will avoid a directory
  is not removed. but it's a dummy file.

* Thu Mar 15 2002 Akira TAGOH <tagoh@redhat.com> 1.2-5
- called redhat-update-gnome-font-install on %%post and %%postun

* Mon Feb 25 2002 Akira TAGOH <tagoh@redhat.com> 1.2-4
- Build against new environment.

* Tue Feb 12 2002 Akira TAGOH <tagoh@redhat.com> 1.2-3
- Removed fonts.{dir,scale}, because it's any longer needed.
- Fixed missing entries for fonts.alias

* Thu Jan 31 2002 Leon Ho <llch@redhat.com> 1.2-2
- fixes the temp file exploit

* Thu Jan 24 2002 Akira TAGOH <tagoh@redhat.com> 1.2-1
- update to 20020124 release.
- add jisx0201.1976-0 entry.
- add alias of -misc-kochi gothic/mincho- to fonts.alias.
- replace fonts.scale.xtt and encodings.dir
- remove the entries without jisx stuff from encodings.dir

* Thu Jan 10 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Dec 25 2001 Akira TAGOH <tagoh@redhat.com> 1.1-2
- update to 20011217 release.

* Thu Nov 15 2001 Akira TAGOH <tagoh@redhat.com> 1.1-1
- New upstream release.

* Thu Oct 11 2001 Preston Brown <pbrown@redhat.com> 1.0-7
- get rid of bad ISO8859-1 aliases and incorrect italic, bold mappings

* Wed Aug  8 2001 Akira TAGOH <tagoh@redhat.com> 1.0-6
- fixed default fonts.dir for non-xtt

* Mon Jul 23 2001 Akira TAGOH <tagoh@redhat.com> 1.0-5
- added default font for Nautilus.

* Tue Jul 17 2001 Akira TAGOH <tagoh@redhat.com> 1.0-4
- updated kochi fonts.
- fixed directory owner

* Mon Jul 09 2001 Karsten Hopp <karsten@redhat.de>
- fix japanese description (-l). But why is it in the
  .spec file at all ?

* Tue Jun 26 2001 Akira TAGOH <tagoh@redhat.com> 1.0-2
- don't use bzip2'ed compress when file size is small.
- changed family name.

* Wed Jun 13 2001 Akira TAGOH <tagoh@redhat.com> 1.0-1
- Initial build.

